Network.Wai.Handler.WarpTLS

# Settings

data TLSSettings

defaultTlsSettings

# Smart constructors

tlsSettings

tlsSettingsMemory

tlsSettingsChain

tlsSettingsChainMemory

# Accessors

certFile

keyFile

tlsLogging

tlsAllowedVersions

tlsCiphers

tlsWantClientCert

tlsServerHooks

tlsServerDHEParams

tlsSessionManagerConfig

onInsecure

data OnInsecure

# Runner

runTLS

runTLSSocket

# Exception

data WarpTLSException

data Params

generateParams